%{?nodejs_find_provides_and_requires}

%global packagename file-entry-cache

# Tests disabled due to dependency on npm(glob-expand), which
# won't work on NodeJS 6.x or newer
%global enable_tests 0

Name:		nodejs-file-entry-cache
Version:	1.2.4
Release:	2%{?dist}
Summary:	Super simple cache for file metadata

License:	MIT
URL:		https://github.com/royriojas/file-entry-cache
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz
# The test files are not included in the npm tarball.
# Source{1-9} are generated by running Source10, which pulls from the upstream
# version control repository.
Source1:	tests-%{version}.tar.bz2
Source10:	dl-tests.sh


BuildArch:	noarch
%if 0%{?fedora} >= 19
ExclusiveArch: %{nodejs_arches} noarch
%else
ExclusiveArch: %{ix86} x86_64 %{arm} noarch
%endif

BuildRequires:	nodejs-packaging

%if 0%{?enable_tests}
BuildRequires:	mocha
BuildRequires:	npm(read-file)
BuildRequires:	npm(flat-cache)
BuildRequires:	npm(write)
%endif

%description
Super simple cache for file metadata, useful for process that work o a given
series of files and that only need to repeat the job on the changed ones since
the previous run of the process


%prep
%autosetup -n package
# setup the tests
%autosetup -T -D -a 1 -n package


%build
# nothing to do

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json *.js \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
NODE_ENV=test %{_bindir}/mocha -R spec test/specs
%else
%{_bindir}/echo -e "\e[101m -=#=- Tests disabled -=#=- \e[0m"
%endif

%files
%{!?_licensedir:%global license %doc}
%doc *.md
%license LICENSE
%{nodejs_sitelib}/%{packagename}

%changelog
* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Thu Jul 28 2016 Jared Smith <jsmith@fedoraproject.org> - 1.2.4-1
- Initial packaging
